Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Wrap guardian.VERSION in tuple #4149

Merged
merged 1 commit into from May 26, 2016
Merged

Wrap guardian.VERSION in tuple #4149

merged 1 commit into from May 26, 2016

Conversation

khasanovbi
Copy link
Contributor

@khasanovbi khasanovbi commented May 26, 2016

In django-guardian 1.4.2 version has list type and [1,4,2] >= (1,3) return False
Type should not depend on a third party library.

@khasanovbi
Copy link
Contributor Author

khasanovbi commented May 26, 2016

refs #4005

@codecov-io
Copy link

codecov-io commented May 26, 2016

Current coverage is 91.49%

Merging #4149 into master will not change coverage

@@             master      #4149   diff @@
==========================================
  Files            51         51          
  Lines          5477       5477          
  Methods           0          0          
  Messages          0          0          
  Branches          0          0          
==========================================
  Hits           5011       5011          
  Misses          466        466          
  Partials          0          0          

Powered by Codecov. Last updated by 9d2f6fe...65be82e

@tomchristie
Copy link
Member

tomchristie commented May 26, 2016

Good call!

>>> [1,4,2] >= (1,3)
False
>>> tuple([1,4,2]) >= (1,3)
True

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

3 participants